Pardon our mess These API docs are a work in progress. Endpoints, examples, and behavior may change as we continue to develop the Partner API v2.

Partner API

Update field

PATCH /api/v2/fields/:field_id - Updates a custom field. field_id may need URL-encoding.

PATCH/api/v2/fields/:field_id

Updates a custom field. field_id may need URL-encoding.

Required scope: fields (or *).

Path parameters

NameRequiredDescription
field_idYesField id

JSON body

NameRequiredDescription
labelNoField label
field_typeNoField type (see create)
statusNoactive or archived
curl -s -X PATCH -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "label": "Plan type (updated)",
  "field_type": "dropdown_single",
  "status": "active"
}' \
  "https://benefitpath.com/api/v2/fields/plan_type"
{
  "success": true,
  "field": {
    "field_id": "plan_type",
    "label": "Plan type (updated)",
    "field_type": "dropdown_single",
    "status": "active"
  }
}

See Errors for the standard error envelope and rate limits.